Write-Host "wi-fi strength monitor"
$wshell = New-Object -ComObject Wscript.Shell
1..4 | % {
	(netsh wlan show interfaces) -Match '^\s+Signal' -Replace '^\s+Signal\s+:\s+',''
	start-sleep 2
}
echo ""
echo "internet speed test"
1..4 | % {
	Function Get-InternetSpeed{
		$TestFile = 'http://speedtest.tele2.net/10MB.zip'
		$TempFile = Join-Path -Path $env:TEMP -ChildPath 'testfile.tmp'
		$WebClient = New-Object Net.WebClient
		$TimeTaken = Measure-Command { $WebClient.DownloadFile($TestFile,$TempFile)} | Select-Object -ExpandProperty TotalSeconds
		$Speed = (10/$TimeTaken)*8
		$Message = "{0:N2} Mbit/Sec" -f ($Speed)
		echo $Message
	}
	Get-InternetSpeed
	start-sleep 5
}
start-sleep 120